Bug 604282 - disk.commit() throws DiskException, even when it is successful.
disk.commit() throws DiskException, even when it is successful.
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: pyparted (Show other bugs)
14
All Linux
low Severity medium
: ---
: ---
Assigned To: David Cantrell
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-15 15:06 EDT by Luke Macken
Modified: 2016-09-19 22:40 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-16 13:55:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Luke Macken 2010-06-15 15:06:12 EDT
Description of problem:

The liveusb-creator uses pyparted to flag usb keys as bootable.  Recently, I've been seeing many people hit this exception saying that it could not "commit to disk", yet the partitions are marked as bootable as expected...

liveusb-creator code:

        import parted
        try:
            disk, partition = self.get_disk_partition()
        except LiveUSBError, e:
            self.log.exception(e)
            return
        if partition.isFlagAvailable(parted.PARTITION_BOOT):
            if partition.getFlag(parted.PARTITION_BOOT):
                self.log.debug(_('%s already bootable') % self._drive)
            else: 
                partition.setFlag(parted.PARTITION_BOOT)
                try:
                    disk.commit()
                    self.log.info('Marked %s as bootable' % self._drive)
                except Exception, e:
                    self.log.exception(e)

Exception:

    Traceback (most recent call last):
      File "/usr/lib/python2.6/site-packages/liveusb/creator.py", line 727, in bootable_partition
        disk.commit()
      File "<string>", line 2, in commit
      File "/usr/lib64/python2.6/site-packages/parted/decorators.py", line 31, in localeC
        ret = fn(*args, **kwds)
      File "/usr/lib64/python2.6/site-packages/parted/disk.py", line 213, in commit
        return self.__disk.commit()
    DiskException: Could not commit to disk /dev/sdb



Version-Release number of rselected component (if applicable):
pyparted-2.1.2-1.fc12.x86_64
Comment 1 Bug Zapper 2010-07-30 08:08:31 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 14 development cycle.
Changing version to '14'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Ruben Kerkhof 2011-04-24 09:08:46 EDT
I'm also hitting this on F15 with pyparted-3.5-2.fc15.x86_64
Comment 3 Fedora End Of Life 2012-08-16 13:55:11 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.